Skip to main content
GET /unified/iam/organizations/{id}

Authentication

Requires Authorization: Basic {base64_encoded_api_key} and x-account-id: {account_id}. See authentication.

Path Parameters

ParameterTypeRequiredDescription
idstringYesThe StackOne ID of the organization

Query Parameters

ParameterTypeRequiredDescription
fieldsstringNoComma-separated list of fields to include
rawbooleanNoInclude the raw provider response

Response

Returns a single IamOrganization object.
FieldTypeDescription
idstringStackOne unique identifier
remote_idstringProvider’s unique identifier
namestringOrganization name
created_atstring (ISO 8601)When the organization was created
updated_atstring (ISO 8601)When the organization was last updated

Example

curl --request GET \
  --url 'https://api.stackone.com/unified/iam/organizations/org_01abc123' \
  --header 'accept: application/json' \
  --header 'authorization: Basic {base64_encoded_api_key}' \
  --header 'x-account-id: {account_id}'

Example Response

{
  "data": {
    "id": "org_01abc123",
    "remote_id": "T08G6Q9TP4L",
    "name": "Acme Corp",
    "created_at": "2023-01-01T00:00:00.000Z",
    "updated_at": "2024-06-15T10:30:00.000Z"
  }
}

Errors

StatusMeaning
401Unauthorized — invalid or missing API key
404Organization not found
422Provider does not support this endpoint